<nav class="navbar fixed-top navbar-expand-lg navbar-light p-0">
  <div class="container">
    <a class="navbar-brand me-4 p-3"
       [routerLink]="['/']">
      <img src="assets/img/logo-satu-peta-dark.svg"
           height="50"
           class="d-inline-block align-top"
           alt="Satu Peta Jawa Barat">
    </a>
    <button class="navbar-toggler border-0 "
            type="button"
            data-bs-toggle="collapse"
            data-bs-target="#navbarSupportedContent"
            aria-controls="navbarSupportedContent"
            aria-expanded="false"
            aria-label="Toggle navigation">
      <span class="navbar-toggler-icon"></span>
    </button>

    <div class="collapse navbar-collapse"
         id="navbarSupportedContent">
      <ul class="navbar-nav ms-auto">
        <ng-container *ngFor="let item of menu">
          <li class="nav-item p-1"
              *ngIf="item.children.length === 0">
            <a class="nav-link p-3"
               (click)="scrollToSection(item.url)"
               *ngIf="item.isScrollTo">{{ item.name }}</a>
            <a class="nav-link p-3"
               [routerLink]="item.url"
               *ngIf="!item.isScrollTo">{{item.name}}</a>
          </li>
          <li class="nav-item p-1 position-relative"
              *ngIf="item.children.length > 0">
            <a class="nav-link p-3"
               href="javascript:void(0)"
               data-bs-toggle="dropdown"
               aria-expanded="false">
              {{item.name}}
            </a>
            <ul class="dropdown-menu  dropdown-menu-end">
              <li *ngFor="let child of item.children">
                <a class="dropdown-item py-2"
                   [href]="child.url"
                   target="_blank">{{ child.name }}</a>
              </li>
            </ul>
          </li>
        </ng-container>
      </ul>
    </div>
  </div>
</nav>